Bug 450684 - Ignored return value from syscall in gfs_controld/util.c
Ignored return value from syscall in gfs_controld/util.c
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Teigland
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 08:56 EDT by Steve Whitehouse
Modified: 2009-07-23 09:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 09:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-06-10 08:56:59 EDT
From the last few lines of set_sysfs():

        rv = write(fd, out, strlen(out));

        close(fd);
        return 0;
}

Need to audit any similar code for the same bug.
Comment 1 Fabio Massimo Di Nitto 2008-06-10 09:07:07 EDT
Some of those are already catched by Fedora build flag.

I already suggested different times to switch to -Werror and fix all build
warning, but i was turned down.

Perhaps it's about time to do it.

Fabio
Comment 2 Steve Whitehouse 2008-06-10 09:16:08 EDT
There is no excuse for not fixing this kind of thing. If you get "turned down"
again, point me at the culprit and I'll moan at them until they give in :-)
Comment 3 John Poelstra 2008-10-18 00:04:45 EDT
What version of the package has these issues?
Comment 4 Steve Whitehouse 2008-10-20 05:03:19 EDT
Upstream/rawhide, i.e. the latest version
Comment 5 Bug Zapper 2008-11-25 21:24:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Steve Whitehouse 2009-07-23 09:16:54 EDT
This was fixed ages ago.

Note You need to log in before you can comment on or make changes to this bug.